<?xml version='1.0' encoding='utf-8'?>
| <!DOCTYPE rfc SYSTEM "rfc2629-xhtml.ent" [
// external reference to RFCs
<!ENTITY rfc2119 SYSTEM "http://xml.resource.org/public/rfc/bibxml/reference.RFC.2119.xml">
// local reference to another doc
| ]>

// processing instructions
<?rfc toc="yes"?>
<?rfc symrefs="yes"?>
<?rfc compact="yes"?>
<?rfc subcompact="no"?>
<?rfc strict="no"?>
<?rfc rfcedstyle="yes"?>
<?rfc comments="yes"?>
<?rfc inline="yes"?>

rfc(category='info' consensus='false' ipr='trust200902' docName='be-cem-mro-teama-orga-02' submissionType='be-cem-mro' obsoletes='' updates='' xml:lang='en' version='3' xmlns:xi='http://www.w3.org/2001/XInclude')
  front
    title BE-CEM-MRO TeamA Workflow and Team Organization
    author(fullname='Sylvain Fargier' initials='S.F.' role='editor' surname='Fargier')
      organization CERN
      address
        postal
          street 1, Esplanade des Particules
          code 1217
          city Meyrin
          country Switzerland
        email sylvain.fargier@cern.ch
    date(year='2022' month='June' day='10')

    keyword organization
    keyword organisation
    keyword TeamA
    keyword Agile

    abstract
      t This document describes the TeamA development and workflow organization in BE-CEM-MRO section.

  middle

    section
      name Introduction
      t
        | This document describes the TeamA development and workflow organization in BE-CEM-MRO section.

      t
        | This workflow is a version of #[xref(target="AGILE_SCRUM") Agile/Scrum],
        | still this document is #[strong not] an agile manifest or introduction, to have
        | a better understanding of what Agile/Scrum is please refer to the approriate documentation.

      // This one is a 'must' :)
      section
        name Requirements Notation
        t
          | The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
          | "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
          | document are to be interpreted as described in BCP 14,
          | #[xref(target='RFC2119' format='default') RFC2119].

    section
      name The Team
      t Here's a list of team-members, their roles and responsiblities:

      table(align='center')
        name TeamA members and roles
        thead
          tr
            th Name
            th Role
        tbody
          tr #[td Sylvain Fargier] #[td Team Member, Scrum Master]
          tr #[td Mathieu Donze] #[td Expert]
          tr #[td Matteo Ferrari] #[td Team Member]
          tr #[td Michal Mysior] #[td Team Member]
          tr #[td Gabriele De Blasi] #[td Team Member]
          tr #[td Mael Lhoutellier] #[td Team Member]

    section
      name Project Management

      t TeamA development team #[bcp14 MUST] use #[xref(target='TEAMA_JIRA_BOARD') TeamA Jira Board] to organize projects and tasks.

      t
        | A specific filter has been created to display one or several projects on
        | this board, the following rules are being used:

      table(align='center')
        name Jira projects filters
        thead
          tr
            th Project
            th Filter
        tbody
          tr
            td #[eref(target='https://its.cern.ch/jira/projects/MROSUPPORT') MROSUPPORT]
            td label=TeamA
          tr
            td #[eref(target='https://its.cern.ch/jira/projects/ACPSUPPORT') APCSUPPORT]
            td label=Controls

      section
        name User Stories
        t
          | Each ticket in #[xref(target='TEAMA_JIRA_BOARD') TeamA Jira Board] represents a task, an issue or a #[xref(target='USER_STORIES') story] in agile terminology.

        t
          | Once created a ticket #[bcp14 MUST] never be deleted, it #[bcp14 MAY]
          | be rejected or prematurely closed and its story point estimation should
          | be set to zero in such case (see #[xref(target='PLANNING_POKER') Planning Poker] for details about story-points).

      section
        name Releases

        t
          | Depending on projects, a #[em release ] #[bcp14 MAY] be
          | created to identify milestones and/or deliveries
          | (see #[eref(target='https://its.cern.ch/jira/projects/MROSUPPORT?selectedItem=com.atlassian.jira.jira-projects-plugin%3Arelease-page&status=no-filter') MROSUPPORT Releases]),
          | releases #[bcp14 SHOULD] have a #[em Release date].

        t
          | Task, Stories and Epics #[bcp14 MAY] be bound to one or more
          | Releases using the #[em Fix Version] attribute.

      section
        name Sprints

        t
          | The work is organized in 4 weeks (a month, ~20 working days) sprints,
          | the content (tasks, stories) of the sprint #[bcp14 MUST] be discussed during a
          | #[em Sprint Planning Meeting].

        t
          | There #[bcp14 MAY] be several Sprint Planning Meetings to get a sprint started,
          | depending on the different Releases that are foreseen.

        t
          | Tasks and Stories #[bcp14 MAY] be bound to specific team member, but
          | #[bcp14 MUST NOT] be bound to a participant not
          | attending the sprint planning meeting.

        t
          | Tasks and stories #[bcp14 MUST] be estimated in story points to be embedded in a sprint,
          | refer to #[xref(target="AGILE_SCRUM") Agile/Scrum] guidelines for details.

        t
          | Each participant #[bcp14 MUST] update the tasks and stories he has been
          | assigned to, he is responsible of his own work, and #[bcp14 SHOULD]
          | warn other team members and the scrum-master as soon as an issue is foreseen.

      section
        name Meetings

        t
          | Project management meetings #[bcp14 SHOULD] be scheduled once a month,
          | ending the ongoing sprint and starting a new one.

        t
          | Each of those meetings #[bcp14 SHOULD] include a #[em Sprint Review],
          | a #[em Sprint Retrospective] followed by a #[em Sprint Planning].

        section
          name Sprint Planning

          t
            | Sprint Planning meeting is the meeting where stories/tasks #[bcp14 MUST] be
            | split in achievable tasks and the sprint dashboard is created.

          t
            | Tasks and stories #[bcp14 MAY] be estimated during this meeting,
            | it is #[bcp14 RECOMMENDED] to use Planning Poker consensus based
            | technique to make those estimations (see #[xref(target="PLANNING_POKER") Planning Poker]), all team members
            | #[bcp14 SHOULD] participate.

        section
          name Sprint Review

          t
            | The Sprint Review meeting is where newly developped features are
            | demonstrated, everybody (including externals such as other team members) #[bcp14 MAY] participate this review.

          t
            | Each participant #[bcp14 SHOULD] present his work to other members.

          t
            | Then the team #[bcp14 MUST] review achieved tickets and either validate
            | or reopen it, the final decision #[bcp14 SHOULD] be made by the
            | project manager (or the Scrum Master when no project manager is present).

        section
          name Sprint Retrospective

          t The sprint retrospective is a meeting where the processes and practices applied during the sprint are analyzed.

          t
            | All the team members #[bcp14 MUST] express their level of satisfaction and motivation
            | using the #[xref(target="RETRO_QUIZ") dedicated form].

          t
            | Each team member #[bcp14 SHOULD] write three topics that are worth
            | noticing for him during the sprint (either good or bad).

          t
            | A review of the actions identified in the previous sprint #[bcp14 MUST] take place.

        section
          name Daily Scrums

          t It’s the time for team members to discuss in a peer-to-peer way.

          t
            | The Daily Scrum #[bcp14 MUST] take place everyday and last less than
            | 15 minutes. Every team member presence is #[bcp14 REQUIRED],
            | having a 2 minutes time slot to explain :

          ul
            li What he did yesterday
            li What he is going to do today
            li What problems he encountered

          t Any long discussion #[bcp14 MUST] be cut short and discussed after the meeting.

          t
            | It can be achieved either as a Stand-up meeting
            | (all participants standing-up in a circle) or on
            | #[xref(target='TEAMA_MATTERMOST') TeamA Mattermost channel].

    section
      name Contributors
      // Optional section to mention contributors

  back

    references
      name References
      references
        name Normative References
        | &rfc2119;

      references
        name Informative References

      references
        name URL References
        reference(anchor='TEAMA_JIRA_BOARD' target='https://its.cern.ch/jira/secure/RapidBoard.jspa?rapidView=6841')
          front
            title TeamA development team Jira project management
            author #[organization CERN]
            date(year='2022')

        reference(anchor='RETRO_QUIZ' target='http://mro-dev.web.cern.ch/docs/drafts/be-cem-mro-teama-organization/RETRO_QUIZ.pdf')
          front
            title Retro Quiz reference
            author #[organization CERN]
            date(year='2019')
              
        reference(anchor='TEAMA_MATTERMOST' target='https://mattermost.web.cern.ch/robotics-team/channels/teama')
          front
            title TeamA Mattermost Channel
            author #[organization CERN]
            date(year='2022')

        reference(anchor='AGILE_SCRUM' target='https://www.mountaingoatsoftware.com/agile/scrum')
          front
            title Agile Scrum introduction
            author #[organization Mountain Goat Software]
            date(year='2019')
        reference(anchor='USER_STORIES' target='https://www.mountaingoatsoftware.com/agile/user-stories')
          front
            title User Stories definition
            author #[organization Mountain Goat Software]
            date(year='2019')
        reference(anchor='PLANNING_POKER' target='https://www.mountaingoatsoftware.com/agile/planning-poker')
          front
            title Planning Poker introduction
            author #[organization Mountain Goat Software]
            date(year='2019')

    section
      name Change Log
      dl
        dt 01
        dd First version

    //- section
    //-   name Open Issues
    //-   t A list of open issues regarding this document